Subject: [avtext] FW: New Version Notification for draft-ietf-avtext-splicing-for-rtp-00.txt

From: Xiajinwei <[email-masked]>
Date: Mon, 10 Oct 2011 02:43:49 +0000

Hi all,

I have submitted splicing draft " draft-ietf-avtext-splicing-for-rtp-00" which has not any modification compared to draft-xia-avtext-splicing-for-rtp-01. But I find some ambiguous issues in it and try to address them in 01 version. The issues are list as below:

1, In section 4.1, the terminology of “switching” between main and substitutive content is confusing, and implies that the mixer is simply forwarding the content. I will clearly explain that the input stream should be processed as mixer manner.

2, In section 4.2, "the number of the original, pre-spliced RTP packets will be equal to the number of spliced RTP packets" seems to be ambiguous, since there is no guarantee that the number of packets in the substitutive content matches the number in the main content. I will change it to " the number of output RTP packets containing substitutive content is equal to the number of input substitutive RTP packets (from substitutive RTP stream) during splicing".

If there is no objection for above modifications, I will add them into 01 version and submit it 7 days later. Any comments are appreciated.

Thank you

Jinwei

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 
发送时间: 2011年10月8日 17:20
收件人: Xiajinwei
抄送: Xiajinwei
主题: New Version Notification for draft-ietf-avtext-splicing-for-rtp-00.txt

A new version of I-D, draft-ietf-avtext-splicing-for-rtp-00.txt has been successfully submitted by Jinwei Xia and posted to the IETF repository.

Filename:	 draft-ietf-avtext-splicing-for-rtp
Revision:	 00
Title:		 Content Splicing for RTP Sessions
Creation date:	 2011-10-08
WG ID:		 avtext
Number of pages: 16

Abstract:
   This memo outlines RTP splicing.  Splicing is a process that replaces
   the content of the main multimedia stream with other multimedia
   content, and delivers the substitutive multimedia content to receiver
   for a period of time.  This memo provides some RTP splicing use
   cases, then we enumerate a set of requirements and analyze whether an
   existing RTP level middlebox can meet these requirements, at last we
   provide concrete guidelines for how the chosen middlebox works to
   handle RTP splicing.

The IETF Secretariat